package com.sifang.modules.supply.warehouse.vo;

import java.math.BigDecimal;

public class ImportMaterialInfo {

        private String materialId;// 物料id

        private String code;// 物料编号
        private String name;// 物料名称

        private BigDecimal amount;// 数量

        private String type;// 物料类型

        private String unit;// 物料单位

        private String description;// 物料描述

        private BigDecimal stocks;// 库存数量

        private BigDecimal costPrice;//成本价
        private BigDecimal bdSalePrice;//零售价

        private String materialAttribute ;

        private String materialBrand;

        private String materialSpecs;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMaterialBrand() {
        return materialBrand;
    }

    public void setMaterialBrand(String materialBrand) {
        this.materialBrand = materialBrand;
    }

    public String getMaterialSpecs() {
        return materialSpecs;
    }

    public void setMaterialSpecs(String materialSpecs) {
        this.materialSpecs = materialSpecs;
    }

    public String getMaterialAttribute() {
        return materialAttribute;
    }

    public void setMaterialAttribute(String materialAttribute) {
        this.materialAttribute = materialAttribute;
    }

    public BigDecimal getCostPrice() {
        return costPrice;
    }

    public void setCostPrice(BigDecimal costPrice) {
        this.costPrice = costPrice;
    }

    public BigDecimal getBdSalePrice() {
        return bdSalePrice;
    }

    public void setBdSalePrice(BigDecimal bdSalePrice) {
        this.bdSalePrice = bdSalePrice;
    }

    public String getMaterialId() {
            return materialId;
        }

        public void setMaterialId(String materialId) {
            this.materialId = materialId;
        }

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public BigDecimal getAmount() {
            return amount;
        }

        public void setAmount(BigDecimal amount) {
            this.amount = amount;
        }


        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public String getUnit() {
            return unit;
        }

        public void setUnit(String unit) {
            this.unit = unit;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public BigDecimal getStocks() {
            return stocks;
        }

        public void setStocks(BigDecimal stocks) {
            this.stocks = stocks;
        }

        @Override
        public String toString() {
            return "ImportMaterialInfo{" +
                    "materialId='" + materialId + '\'' +
                    ", code='" + code + '\'' +
                    ", amount=" + amount +
                    ", type='" + type + '\'' +
                    ", unit='" + unit + '\'' +
                    ", description='" + description + '\'' +
                    ", stocks=" + stocks +
                    '}';
        }
}
